Domain 'sdwiki' is not recognized.
Closed, ResolvedPublic

Description

LogicException from line 193 of /srv/mediawiki-staging/php-master/includes/jobqueue/JobQueueGroup.php: Domain 'sdwiki' is not recognized.

#0 /srv/mediawiki-staging/php-master/extensions/Wikibase/repo/includes/Notifications/JobQueueChangeNotificationSender.php(80): JobQueueGroup->lazyPush(array)
#1 /srv/mediawiki-staging/php-master/extensions/Wikibase/repo/includes/ChangeDispatcher.php(243): Wikibase\Repo\Notifications\JobQueueChangeNotificationSender->sendNotification(string, array)
#2 /srv/mediawiki-staging/php-master/extensions/Wikibase/repo/maintenance/dispatchChanges.php(293): Wikibase\Repo\ChangeDispatcher->dispatchTo(array)
#3 /srv/mediawiki-staging/php-master/maintenance/doMaintenance.php(94): Wikibase\DispatchChanges->execute()
#4 /srv/mediawiki-staging/php-master/extensions/Wikibase/repo/maintenance/dispatchChanges.php(387): require_once(string)
#5 /srv/mediawiki-staging/multiversion/MWScript.php(100): require_once(string)
#6 {main}

Quite a lot of these appearing in logstash as Wikidata is trying to dispatch changes to it, but sdwiki doesn't exist on beta

Reedy created this task.Mar 12 2018, 2:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2018, 2:35 PM

Yup. Spotted that as well while looking for something else. Do we know who issued that? Puppet?

Reedy added a comment.Mar 12 2018, 2:44 PM

I'm guessing the dispatchChanges is possibly using the wrong wiki list or similar for beta

Mentioned in SAL (#wikimedia-releng) [2018-04-13T08:48:40Z] <eddiegp> debugging T189493 on beta

I poked WMDE about what I found this morning on IRC:

2018-04-13 09:05:55 eddiegp Hey, how is the wb_changes_dispatch table being populated?
2018-04-13 09:06:24 eddiegp In beta it seems to have quite a few rows for wikis that don't exist in beta.
2018-04-13 09:06:38 eddiegp And I think this is what causes T189493
[...]
2018-04-13 09:14:03 eddiegp leszek_wmde: Yeah, I had a look at the dispatcher code - it seems maintenance script/dispatcher class itselfs loads the list of wikis from that table. I just don't know how things are added into there.
2018-04-13 09:17:28 leszek_wmde eddiegp: didn't really start looking yet, but i see sdwiki being listed in the interwiki config or so. Which might be where it is coming from. But I'll try to check better in a bit
2018-04-13 09:17:54 leszek_wmde eddiegp: also afaik interwiki/sites stuff is quite nasty at times :)

@WMDE-leszek Did you have any time to investigate this further?

Addshore closed this task as Resolved.Oct 31 2018, 5:53 PM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

I guess this isn't happening any more?

This is actually the same as T208307: Beta: JobQueueGroup.php: Domain 'specieswiki' is not recognized. which I caused and resolved recently.

Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 31 2018, 5:53 PM